Bug 14369 - Need to implement variables check in jabber-config
: Need to implement variables check in jabber-config
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jabber-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-09 13:04 by
Modified: 2009-01-17 03:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-09 13:04:56
В 0.2-alt2 в скрипте jabber-config не осуществляется проверка значений, 
возвращаемых конфигурационными файлами транспортов. В итоге, возможен вызов 
скрипта регистрации сервера с пустыми значениями port/host/password. 

Пример пакета с транспортом, возвращающим неправильное значение - #14368 . В 
качестве последствий - #14367 .
------- Comment #1 From 2008-03-10 14:52:15 -------
И #14844 сюда же - с возникновением ошибки при вызове скрипта адаптера.
------- Comment #2 From 2009-01-17 03:00:07 -------
Fixed in 0.3-alt1 - отправлен в Сизиф.